Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mdm
Class MdmMeasureModel

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataObject
            |
            +--oracle.olapi.metadata.mdm.MdmObject
                  |
                  +--oracle.olapi.metadata.mdm.MdmModel
                        |
                        +--oracle.olapi.metadata.mdm.MdmDimensionedObjectModel
                              |
                              +--oracle.olapi.metadata.mdm.MdmMeasureModel

public class MdmMeasureModel
extends MdmDimensionedObjectModel

An `MdmDimensionedObjectModel` that represents an `MdmMeasure`. For each of the dimensions of its associated `MdmMeasure`, an `MdmMeasureModel` inherits the `Assignment` objects of the `MdmDimensionCalculationModel` of the appropriate data type.

Method Summary
`java.lang.Object` | `acceptVisitor(MdmObjectVisitor visitor, java.lang.Object context)` Calls the `visitMdmMeasureModel` method of an `MdmObjectVisitor` and passes that method the `MdmMeasureModel` and an `Object`.
`java.util.List` | `getAutoAssignments()` Gets an empty `List` because Oracle OLAP does not automatically create `Assignment` objects for an `MdmMeasureModel`.
`MdmDimensionedObject` | `getMdmDimensionedObject()` Gets the `MdmDimensionedObject` for the `MdmMeasureModel`.
`MdmMeasure` | `getMdmMeasure()` Gets the `MdmMeasure` for the `MdmMeasureModel`.
`java.util.List` | `getParentModels()` Gets the `MdmDimensionCalculationModel` objects that are the parent `Model` objects for the `MdmMeasureModel`.
`void` | `setMdmMeasure(MdmMeasure measure)` Specifies the `MdmMeasure` with which to associate the `MdmMeasureModel`.

Methods inherited from class oracle.olapi.metadata.mdm.MdmDimensionedObjectModel
`getDimensions, getInputs, getMdmSource, getType`

Methods inherited from class oracle.olapi.metadata.mdm.MdmModel
`assign, assign, assign, assign, assign, assign, createSolvedSource, createSolvedSource, getAssignments, getDefaultPrecedence, getOutputs, setDefaultPrecedence, unassign`

Methods inherited from class oracle.olapi.metadata.mdm.MdmObject
`getDescription, getMetadataProvider, getName, getShortDescription, setDescription, setName, setShortDescription`

Methods inherited from class oracle.olapi.metadata.BaseMetadataObject
`getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### acceptVisitor

    public java.lang.Object acceptVisitor(MdmObjectVisitor visitor,
                                          java.lang.Object context)

  Calls the `visitMdmMeasureModel` method of an `MdmObjectVisitor` and passes that method the `MdmMeasureModel` and an `Object`.
  Overrides:
    acceptVisitor in class MdmObject
  Parameters:
    `visitor` - An `MdmObjectVisitor`.
    `context` - An `Object`.
  Returns:
    The `Object` returned by the `visitMdmMeasureModel` method.

### getMdmMeasure

    public final MdmMeasure getMdmMeasure()

  Gets the `MdmMeasure` for the `MdmMeasureModel`.
  Returns:
    The `MdmMeasure` for the `MdmMeasureModel`.

### getMdmDimensionedObject

    public final MdmDimensionedObject getMdmDimensionedObject()

  Gets the `MdmDimensionedObject` for the `MdmMeasureModel`. The `MdmDimensionedObject` for an `MdmMeasureModel` is an `MdmMeasure`.
  Overrides:
    getMdmDimensionedObject in class MdmDimensionedObjectModel
  Returns:
    The `MdmDimensionedObject` for the `MdmMeasureModel`.

### getAutoAssignments

    public java.util.List getAutoAssignments()

  Gets an empty `List` because Oracle OLAP does not automatically create `Assignment` objects for an `MdmMeasureModel`.
  Returns:
    A empty `List`.

### getParentModels

    public final java.util.List getParentModels()

  Gets the `MdmDimensionCalculationModel` objects that are the parent `Model` objects for the `MdmMeasureModel`. The parent `Model` objects are the `MdmDimensionCalculationModel` objects of the appropriate data type of each input of the `MdmMeasureModel`. The `MdmMeasureModel` inherits the `Assignment` objects of its parent `Model` objects.
  Overrides:
    getParentModels in class MdmModel
  Returns:
    A `List` that contains one `MdmDimensionCalculationModel` of the appropriate data type for each of the dimensions of the measure for which it is the model.

### setMdmMeasure

    public final void setMdmMeasure(MdmMeasure measure)

  Specifies the `MdmMeasure` with which to associate the `MdmMeasureModel`.
  Parameters:
    `measure` - The `MdmMeasure` with which to associate the `MdmMeasureModel`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.